close all

i0 = 1000; % vykresleni signalu od pozice
ie = 48000; % vykresleni signalu do pozice
okno = 25; % delka okna

%% rozptyl
for i=i0:ie
    y(i) = var(signal(i:i+okno)); % vypocet rozptylu v okne
end;

%% prahování
for i=1:length(y)-2*okno
    if range(y(i:i+2*okno)) < mean(y(i:i+2*okno)) % podminka pro oznaceni hranice komplexu
        y2(i) = 0; % hodnota zelene krivky
    else
        y2(i) = 100000;
    end;
        
end;

%% plocha
for i=1:length(y)-3*okno
    %y2(i) = sum(y(i:i+3*okno));
    %y2(i) = mean(y(i:i+2*okno));
end;

plot(y)
hold on
plot((100*signal(i0:ie)-100000),'r') % vykresleni puvodniho posunuteho signalu
grid on
plot(y2,'g')
xlabel('vzorky \rightarrow')
ylabel('U [mV] \rightarrow')
legend ('rozptyl původního signálu','původní signál','detekované konce')